import * as React from "react";
import type { Route, CurrentRoute } from "./createRoute";
import type { NavigateOptions } from "./types";
export interface LinkProps<PathParamKeys extends string = never> extends Omit<React.AnchorHTMLAttributes<HTMLAnchorElement>, "href">, NavigateOptions<PathParamKeys> {
    to: Route<PathParamKeys> | CurrentRoute;
}
export declare const Link: <PathParamKeys extends string = never>(props: LinkProps<PathParamKeys> & {
    ref?: React.Ref<HTMLAnchorElement> | undefined;
}) => React.ReactElement;
